
Foreman - Bug #1056

Rundeck url doesn't work when ldap auth is active

07/20/2011 10:48 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Workaround (as suggested by ohad):

in "app/controllers/application_controller.rb" line 94

replace:

  def request_json?

    request.format.json?

  end

with:   

  def request_json?

    request.format.json? or request.format.yaml?

  end

Related issues:

Related to Foreman - Feature #1018: Add rundeck integration support Closed 06/30/2011

Associated revisions

Revision 34f64353 - 09/04/2011 04:09 AM - Ohad Levy

fixes #1056 - Rundeck url doesn't work when ldap auth is active

History

#1 - 07/20/2011 11:03 AM - Marcello de Sousa

extra minor bug:

in "app/controllers/hosts_controller.rb" line 561 (the word "description" is misspelled):

{@host.name => { "desciption" =>  @host.comment, "hostname...

should be:

{@host.name => { "description" =>  @host.comment, "hostname...

#2 - 09/04/2011 04:09 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 34f64353a05fd0aa987ea18e8d2e36b1b4894efd.

#3 - 09/04/2011 04:10 AM - Ohad Levy
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/34f64353a05fd0aa987ea18e8d2e36b1b4894efd


- Assignee set to Ohad Levy

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

